/*****************************************************************************
    This file is part of EZPlaylist for Winamp.
    Copyright (C) 2000-2001 Jean-louis BOYER

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    email: boyerjl@club-internet.fr
******************************************************************************/
//--------------------------------------------------------------
// common user interface routines
//
//--------------------------------------------------------------

/*
#ifndef STRICT
#define STRICT
#endif
#define INC_OLE2        // WIN32, get ole2 from windows.h
*/

#pragma warning(disable:4786)

#include <windows.h>
#include <windowsx.h>
#include <shlobj.h>
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <malloc.h>
#include <tchar.h>

// /////////////////////////////////////////////////////////////////
// Multi language
//
// Copy Scritp_us.rc --> Script.rc	  ENGLISH US
// Copy Scritp_fr.rc --> Script.rc	  FRANCAIS
//
// Project/Setting Menu --> Onglet ressource Changer la langue (Anglais US) / Francais (standard)
//
// Changer #include "text_us.h"  par "text_fr.h"
//
// /////////////////////////////////////////////////////////////////
#ifndef _TEXT_ID_H_
#define _TEXT_ID_H_
#  include "text_us.h"
#endif _TEXT_ID_H_


/*
#ifdef _DEBUG
# define _CRTDBG_MAP_ALLOC
# include <crtdbg.h>
#endif
*/

// C++:
#include <string>
#include <vector>
#include <list>

#ifdef UNICODE
# define tstring wstring
#else
# define tstring string
#endif

// another useful macro
#define NUMELEMENTS(arr) (sizeof(arr)/sizeof(arr[0]))

using namespace std;

typedef vector<tstring>	StrArray;
typedef vector<string>	AStrArray;
typedef vector<wstring>	WStrArray;
typedef list<tstring>	StrList;
typedef list<string>	AStrList;
typedef list<wstring>	WStrList;
typedef StrList::iterator	SLI;
typedef AStrList::iterator	ASLI;
typedef WStrList::iterator	WSLI;


