//*******************************************************************************************
//
// Filename : Util.h
//	
//				
//
// Copyright (c) 2001 JL BOYER for EZPlaylist 
//
// (Plug in general purpose for WinAMP >2.0x)
//
//*******************************************************************************************

#ifndef CGLOBAL
#ifdef __cplusplus
#define CGLOBAL extern "C"
#else
#define CGLOBAL extern
#endif
#endif

CGLOBAL char *CSSFontNameA[4];
CGLOBAL char *CSSFontStyleA[2];
CGLOBAL char *CSSFontSizeA[7];
CGLOBAL char *CSSFontWeightA[2];

CGLOBAL wchar_t *CSSFontNameW[4];
CGLOBAL wchar_t *CSSFontStyleW[2];
CGLOBAL wchar_t *CSSFontSizeW[7];
CGLOBAL wchar_t *CSSFontWeightW[2];

#ifdef UNICODE
#  define CSSFontName      CSSFontNameW
#  define CSSFontStyle     CSSFontStyleW
#  define CSSFontSize      CSSFontSizeW
#  define CSSFontWeight    CSSFontWeightW
#else
#  define CSSFontName      CSSFontNameA
#  define CSSFontStyle     CSSFontStyleA
#  define CSSFontSize      CSSFontSizeA
#  define CSSFontWeight    CSSFontWeightA
#endif



LPTSTR DupString(LPTSTR lpsz) ;
TCHAR *GetFormattedDateTime(void);
void  ListboxMoveItem(HWND hwndlist, BOOL bMoveUp);
void SetFilter(TCHAR *szFilter); 

void Time2Str(int nSecond, TCHAR*, BOOL bShortFormat = TRUE);
BOOL CheckExtension(tstring& file);


void SetColumnOrder(int order[]);
void GetColumnOrder(int order[]);

void SetColumnShown(int shown[]);
void GetColumnShown(int shown[]);

void SetColumnWidths(int width[])
;
void GetColumnWidths(int width[]);

void SetSortColumn(int column);
int GetSortColumn();

void MatchTime(HWND m_hwndList, int nLengthMax);
